#!/bin/bash

if [[ -n "$WEBSOCK" ]]; then
    websockify --web /usr/share/novnc 6080 localhost:5900 &
fi

if [[ -n "$WAITHOST" ]]; then
    until nc -z "${WAITHOST}" "${WAITPORT:-1234}" >/dev/null 2>&1; do
        >&2 echo "Waiting for ${WAITHOST} ${WAITPORT:-1234}"
        sleep 1
    done
fi

eval "$@"